Diagnostique : Le serveur ne semble pas du tout connecté à Internet: ipv6 totalement bloqué

My YunoHost server

Hardware: Old laptop or computer
YunoHost version: 11.0.10.2
**I have access to my server : Through SSH | through the webadmin | direct access via keyboard / screen (possible)
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no

Description of my issue

Sur le diagnostique, j’ai une erreur «Le serveur ne semble pas du tout connecté à Internet !?»

j’ai bien eu un problème de connexion assez long il ya 2/3 jours, mais même depuis le retour à la normale : cette erreur reste même après avoir relancé le diagnostique.

root@maison:~# yunohost diagnosis run ip --force
Error: Diagnosis failed for category 'ip': 
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 169, in _new_conn
    conn = connection.create_connection(
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 96, in create_connection
    raise err
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 86, in create_connection
    sock.connect(sa)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 1012, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 353, in connect
    conn = self._new_conn()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 174, in _new_conn
    raise ConnectTimeoutError(
urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPSConnection object at 0x7f0f232c56a0>, 'Connection to ip6.yunohost.org timed out. (connect timeout=30)')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='ip6.yunohost.org', port=443): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<urllib3.connection.HTTPSConnection object at 0x7f0f232c56a0>, 'Connection to ip6.yunohost.org timed out. (connect timeout=30)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/moulinette/utils/network.py", line 24, in download_text
    r = requests.get(url, timeout=timeout)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 504, in send
    raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPSConnectionPool(host='ip6.yunohost.org', port=443): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<urllib3.connection.HTTPSConnection object at 0x7f0f232c56a0>, 'Connection to ip6.yunohost.org timed out. (connect timeout=30)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/yunohost/diagnosers/10-ip.py", line 220, in get_public_ip
    return download_text(url, timeout=30).strip()
  File "/usr/lib/python3/dist-packages/moulinette/utils/network.py", line 30, in download_text
    raise MoulinetteError("invalid_url", url=url)
moulinette.core.MoulinetteError: Failed to connect to https://ip6.yunohost.org ... maybe the service is down, or you are not properly connected to the Internet in IPv4/IPv6.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/yunohost/diagnosis.py", line 196, in diagnosis_run
    code, report = diagnoser.diagnose(force=force)
  File "/usr/lib/python3/dist-packages/yunohost/diagnosis.py", line 449, in diagnose
    items = list(self.run())
  File "/usr/lib/python3/dist-packages/yunohost/diagnosers/10-ip.py", line 88, in run
    ipv6 = self.get_public_ip(6) if can_ping_ipv6 else None
  File "/usr/lib/python3/dist-packages/yunohost/diagnosers/10-ip.py", line 224, in get_public_ip
    self.logger_debug(f"Could not get public IPv{protocol} : {e}")
AttributeError: 'MyDiagnoser' object has no attribute 'logger_debug'

Une idée ?

Duplicate of Diagnostic : beaucoup d’erreurs DNS sans modifications faites

Problem seems to be Hetzner closing port 25.

@yunohoster : no it’s not, it’s not event a VPS … :

Yep, computer at home … free as hoster (with a valid and complete ipv4)

All other seems OK

Seems ipv6 OK is broken



root@maison:# wget https://ip6.yunohost.org/
--2023-01-19 18:06:32--  https://ip6.yunohost.org/
Resolving ip6.yunohost.org (ip6.yunohost.org)... 2001:910:1410::1
Connecting to ip6.yunohost.org (ip6.yunohost.org)|2001:910:1410::1|:443... ^C
root@maison:# wget https://ip.yunohost.org/
--2023-01-19 18:07:35--  https://ip.yunohost.org/
Resolving ip.yunohost.org (ip.yunohost.org)... 80.67.172.144
Connecting to ip.yunohost.org (ip.yunohost.org)|80.67.172.144|:443... connected.

But no way to disable only ipv6 check and do only ipv4 ?

I think we have boith before : ipv4 and ipv6

Re,

L’ipv6 semble bloqué, mais je ne comprend pas pourquoi …

# sysctl -a 2>/dev/null | grep disable_ipv6
net.ipv6.conf.all.disable_ipv6 = 0
net.ipv6.conf.default.disable_ipv6 = 0
net.ipv6.conf.enp3s0.disable_ipv6 = 0
net.ipv6.conf.lo.disable_ipv6 = 0
net.ipv6.conf.wlp2s0.disable_ipv6 = 0

Mais si je tente un simple ping6 debian.org : c’est bloqué …

# ping6 debian.org
PING debian.org(mirror-isc3.debian.org (2001:4f8:1:c::15)) 56 data bytes
^C
--- debian.org ping statistics ---
759 packets transmitted, 0 received, 100% packet loss, time 776157ms